Bug 8332 - Add relationships to auth_finder for authority links
Summary: Add relationships to auth_finder for authority links
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 8207
Blocks: 8212
  Show dependency treegraph
 
Reported: 2012-06-28 22:28 UTC by Jared Camins-Esakov
Modified: 2018-09-29 07:36 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8332: Add relationships to auth_finder for authority links (9.42 KB, patch)
2012-06-28 22:56 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Signed-off patch (9.64 KB, patch)
2012-07-09 18:16 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 8332: Add relationships to auth_finder for authority links (11.53 KB, patch)
2012-08-01 13:12 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8332 follow-up: make strings translatable (3.80 KB, patch)
2012-08-20 12:38 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8332 follow-up: make strings translatable (3.83 KB, patch)
2012-08-20 12:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-06-28 22:28:26 UTC
In addition to the work in bug 8207 that enables auth_finder use, it would be very useful when creating authorities to have the auth_finder plugin automatically fill out the relationship information in $w (in MARC21).
Comment 1 Jared Camins-Esakov 2012-06-28 22:56:11 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2012-07-09 18:16:39 UTC Comment hidden (obsolete)
Comment 3 Jared Camins-Esakov 2012-08-01 13:12:00 UTC
Created attachment 11254 [details] [review]
Bug 8332: Add relationships to auth_finder for authority links

In addition to the work in bug 8207 that enables auth_finder use, it
would be very useful when creating authorities to have the auth_finder
plugin automatically fill out the relationship information in $w (in
MARC21).

To test (note that you must either apply the patch for bug 8207 or
manually add a thesaurus to a 5xx linking field in one of the authority
type frameworks):
1. Create a new authority record.
2. Go to the 5xx tab.
3. Click the authority control plugin ellipsis.
4. Do a search for an authority.
5. Select a relationship type.
6. Note that after you choose an authority, that the $w control field
   is automatically populated with the relationship type.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

After applying patch for bug 8207, I had been able to follow the test plan step
by step, and get the expected result.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Rebased on master 1 August 2012
Comment 4 Jonathan Druart 2012-08-20 09:35:26 UTC
QA Comments:

Your utilisation of PROCESS for the problem of option's selection is interesting. But apparently it is not possible to translate the option values that way.

Marked as Failed QA
Comment 5 Jared Camins-Esakov 2012-08-20 12:38:21 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2012-08-20 12:48:49 UTC
Created attachment 11702 [details] [review]
Bug 8332 follow-up: make strings translatable

I made a silly mistake on the original patch and made the options
untranslatable. This follow-up restores their translatability.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2012-08-20 12:51:41 UTC
Last patch is very simply. It allows translation for the option's values.

Marked as Passed QA.
Comment 8 Paul Poulain 2012-09-03 10:52:42 UTC
* patch does not apply with git bz:
Switched to a new branch 'new/bug_8332'
Already on 'new/bug_8332'
Bug 8332 - Add relationships to auth_finder for authority links

Bug 8332: Add relationships to auth_finder for authority links
Apply? [yn] y

fatal: cannot convert from UTF-8UTF-8 to UTF-8
Patch left in /tmp/Bug-8332-Add-relationships-to-authfinder-for-autho-xKVGYt.patch

I've modified the /tmp/....patch to remove the 2nd "UTF-8" line in the header.



Patch pushed. I've tested under UNIMARC, and could not find anything broken.
Comment 9 Jared Camins-Esakov 2012-12-03 13:23:44 UTC
The relationship dropdown appears where appropriate.